Results 1 to 4 of 4

Thread: 10.10 to 11.04 Upgrade Fails with "ubuntu-minimal" cannot be found error

  1. #1
    Join Date
    May 2007
    Location
    North Carolina
    Beans
    119
    Distro
    Ubuntu Development Release

    10.10 to 11.04 Upgrade Fails with "ubuntu-minimal" cannot be found error

    I've seen this happening to others, but can't find the original bug report I saw. From what I can tell I'm getting the error because I am using a local mirror, as others have successfully updated using "official" mirrors.

    What would cause the installer to differentiate between a local and an official mirror? I'm pulling everything anl.gov has for Lucid, Maverick, and Natty, and had no problems using the local mirror to dist-upgrade from 10.04 to 10.10.

    The exact error is:

    Code:
    After your package information was updated the essential package 'ubuntu-minimal' can not be found anymore.
    This indicates a serious error, please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bug report.
    main.log from /var/log/dist-upgrade:

    Code:
    2011-05-06 10:15:06,986 DEBUG running doUpdate() (showErrors=True)
    2011-05-06 10:15:07,582 DEBUG openCache()
    2011-05-06 10:15:07,582 DEBUG failed to SystemUnLock() (E:Not locked) 
    2011-05-06 10:15:08,032 DEBUG /openCache(), new cache size 1444
    2011-05-06 10:15:08,033 DEBUG needServerMode(): run in 'desktop' mode, (because of pkg 'ubuntu-desktop')
    2011-05-06 10:15:08,033 ERROR No 'ubuntu-minimal' available/downloadable after sources.list rewrite+update
    2011-05-06 10:18:53,514 DEBUG abort called

  2. #2
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: 10.10 to 11.04 Upgrade Fails with "ubuntu-minimal" cannot be found error

    from synaptic config repo, choose "main server" to download, then clean the sources:

    sudo rm /var/cache/apt/archives/*
    (ignore the complain)

    then update

    note: of course disable all non genuine natty repo like ppa first

  3. #3
    Join Date
    May 2007
    Location
    North Carolina
    Beans
    119
    Distro
    Ubuntu Development Release

    Re: 10.10 to 11.04 Upgrade Fails with "ubuntu-minimal" cannot be found error

    Well that's kind of the question. Why should I need to do that when my mirror is working fine?

    Thanks for the response.

  4. #4
    Join Date
    Aug 2011
    Beans
    1

    Re: 10.10 to 11.04 Upgrade Fails with "ubuntu-minimal" cannot be found error

    Quote Originally Posted by durrell View Post
    Well that's kind of the question. Why should I need to do that when my mirror is working fine?

    Thanks for the response.
    I second that. Same here, local mirror and I must use an official mirror for a dist-upgrade

    Thanks

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •